Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class SLAThresholdEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.event.RemoteServiceEvent
                  org.jini.rio.watch.ThresholdEvent
                      org.jini.rio.qos.SLAThresholdEvent

All Implemented Interfaces:
  Serializable

    public class SLAThresholdEvent

extends ThresholdEvent
implements Serializable

The SLAThresholdEvent extends ThresholdEvent and represents a threshold being crossed for a Service

See Also:
  Serialized Form

Field Summary
`static long` | `ID` Unique ID

Fields inherited from class org.jini.rio.watch.ThresholdEvent
`BREACHED, CLEARED`

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`SLAThresholdEvent(Object source)` Creates new SLAThresholdEvent
`SLAThresholdEvent(Object source, ServiceElement sElem, Calculable calculable, SLA sla, String slaPolicyHandlerDescription, String hostAddress, int type)` Creates new SLAThresholdEvent
`SLAThresholdEvent(Object source, ServiceElement sElem, ServiceBeanInstance instance, Calculable calculable, SLA sla, String slaPolicyHandlerDescription, String hostAddress, int type)` Creates new SLAThresholdEvent

Method Summary
`static EventDescriptor` | `getEventDescriptor()` Helper method to return the EventDescriptor for this event
`String` | `getHostAddress()` Getter for property hostAddress
`ServiceBeanInstance` | `getServiceBeanInstance()` Get the ServiceBeanInstance
`ServiceElement` | `getServiceElement()` Getter for property sElem
`SLA` | `getSLA()` Getter for property sla
`String` | `getSLAPolicyHandlerDescription()` Getter for property slaPolicyHandlerDescription
`Date` | `getTime()` Get the Date object that represents the time of the SLAThresholdEvent
`void` | `setHostAddress(String hostAddress)` Setter for property hostAddress
`void` | `setServiceElement(ServiceElement sElem)` Setter for property sElem
`void` | `setSLA(SLA sla)` Setter for property sla
`void` | `setSLAPolicyHandlerDescription(String slaPolicyHandlerDescription)` Setter for property slaPolicyHandlerDescription
`void` | `setTime(Date date)` Set the Date object that represents the time of the SLAThresholdEvent

Methods inherited from class org.jini.rio.watch.ThresholdEvent
`getCalculable, getThresholdValues, getType, setCalculable, setThresholdValues, setType`

Methods inherited from class org.jini.rio.event.RemoteServiceEvent
`setEventID, setHandback, setSequenceNumber`

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final long ID

  Unique ID

  See Also:
    Constant Field Values

Constructor Detail

### SLAThresholdEvent

    public SLAThresholdEvent(Object source)

  Creates new SLAThresholdEvent

  Parameters:
    `source` - The event source

### SLAThresholdEvent

    public SLAThresholdEvent(Object source,
                             ServiceElement sElem,
                             Calculable calculable,
                             SLA sla,
                             String slaPolicyHandlerDescription,
                             String hostAddress,
                             int type)

  Creates new SLAThresholdEvent

  Parameters:
    `source` - The event source
    `sElem` - The ServiceElement for the service
    `calculable` - New value of property calculable
    `sla` - The sla
    `slaPolicyHandlerDescription` - = Description of the SLAPolicyHandler
    `hostAddress` - The TCP/IP address of the ComputeResource
    `type` - The type of event, breached or cleared

### SLAThresholdEvent

    public SLAThresholdEvent(Object source,
                             ServiceElement sElem,
                             ServiceBeanInstance instance,
                             Calculable calculable,
                             SLA sla,
                             String slaPolicyHandlerDescription,
                             String hostAddress,
                             int type)

  Creates new SLAThresholdEvent

  Parameters:
    `source` - The event source
    `sElem` - The ServiceElement for the service
    `instance` - The ServiceBeanInstance
    `calculable` - New value of property calculable
    `sla` - The sla
    `slaPolicyHandlerDescription` - = Description of the SLAPolicyHandler
    `hostAddress` - The TCP/IP address of the ComputeResource
    `type` - The type of event, breached or cleared

Method Detail

### getServiceElement

    public ServiceElement getServiceElement()

  Getter for property sElem

  Returns:
    Value of property sElem

### setServiceElement

    public void setServiceElement(ServiceElement sElem)

  Setter for property sElem

  Parameters:
    `sElem` - New value of property sElem

### getSLA

    public SLA getSLA()

  Getter for property sla

  Returns:
    Value of property sla

### setSLA

    public void setSLA(SLA sla)

  Setter for property sla

  Parameters:
    `sla` - New value of property sla

### getSLAPolicyHandlerDescription

    public String getSLAPolicyHandlerDescription()

  Getter for property slaPolicyHandlerDescription

  Returns:
    Value of property slaPolicyHandlerDescription

### setSLAPolicyHandlerDescription

    public void setSLAPolicyHandlerDescription(String slaPolicyHandlerDescription)

  Setter for property slaPolicyHandlerDescription

  Parameters:
    `slaPolicyHandlerDescription` - New value of property slaPolicyHandlerDescription

### getHostAddress

    public String getHostAddress()

  Getter for property hostAddress

  Returns:
    Value of property hostAddress

### setHostAddress

    public void setHostAddress(String hostAddress)

  Setter for property hostAddress

  Parameters:
    `hostAddress` - New value of property hostAddress

### setTime

    public void setTime(Date date)

  Set the Date object that represents the time of the SLAThresholdEvent

  Parameters:
    `date` - The time to set

### getTime

    public Date getTime()

  Get the Date object that represents the time of the SLAThresholdEvent

  Returns:
    The Date object that represents the time

### getServiceBeanInstance

    public ServiceBeanInstance getServiceBeanInstance()

  Get the ServiceBeanInstance

  Returns:
    The ServiceBeanInstance

### getEventDescriptor

    public static EventDescriptor getEventDescriptor()

  Helper method to return the EventDescriptor for this event

  Returns:
    The EventDescriptor for this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.